B{
    color: red;
}
img{
    max-width:150px;
    max-height:150px;
}
form{
    padding: 50px;
    margin-top:100px;
    position: absolute;
    left: 50%;
    top: 40%;
    border-radius: 20px;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    background:white;
}
body {
    font-family: montserrat, arial verdana;
    background: #ccc;
}
/* Style pour les labels */
label {
    display: block;
    font-size: 18px;
    margin-bottom: 10px;
}

/* Style pour les inputs texte date et button */
input[type="text"], input[type="date"], button {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    box-sizing: border-box; /* Pour inclure le padding dans la largeur totale */
}

/* Style pour l'effet de hover */
.date input[type="date"]:hover {
    border-color: #999; /* Couleur de bordure légèrement plus foncée */
    background-color: #f9f9f9; /* Couleur de fond légèrement plus claire */
    cursor: pointer;
}

/* Style pour les boutons */
button {
    background-color: #28a745; /* Couleur de fond verte */
    color: white;
    border: none;
    padding: 15px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin-top: 10px;
    cursor: pointer;
    border-radius: 5px;
}

/* Gestion des boutons radio pour toutes les pages */
input[type="radio"].choix {
    display: none;
}
input[type="radio"].choix + label {
    padding: 0.5rem 1rem;
    font-size: 1.25rem;
    line-height: 1.5;
    border-radius: 0.3rem;
    color: #fff;
    background-color: #6c757d;
    border: 1px solid transparent;
    transition: all 0.2s ease-in-out;
}
input[type="radio"].choix.demoyes:hover + label {
    background-color: #28a745;
    border-color: #28a745;
    cursor:pointer;
}
input[type="radio"].choix.demoyes:checked + label {
    background-color: #28a745;
    border-color: #28a745;
}
input[type="radio"].choix.demono:hover + label {
    background-color: #c82333;
    border-color: #bd2130;
    cursor:pointer;
}
input[type="radio"].choix.demono:checked + label {
    background-color: #dc3545;
    border-color: #dc3545;
}
.error-message {
    color: white;
    font-weight: bold;
    text-align:center;
    padding: 10px;
    border: 1px solid #c82333;
    background-color: #c82333;
    border-radius: 5px;
    margin-left: auto;
    margin-right: auto;
    width:400px;
    margin-top:100px;
    font-size:30px;
}
.commentaires{
    width:100%;
}
.commentaires textarea{
    width: 100%;
    height: 150px;
    padding: 12px 20px;
    box-sizing: border-box;
    border: 2px solid #ccc;
    border-radius: 4px;
    background-color: #f8f8f8;
    font-size: 18px;
    resize: none;
}
label{
    font-weight: bold;
}

/*-------------------- Style pour select------------------------*/

/* Styles for the select element */
select {  
    width: 100%;
    padding: 8px;
    font-size: 16px;
    line-height: 1.5;
    color: #555;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: inset 0 1px 1px rgba(0,0,0,0.075);
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    /* Allow text to wrap */
    white-space: normal;
}

/* Styles for the select element when focused */
select:focus {
    border-color: #66afe9;
    outline: 0;
    box-shadow: 0 0 8px rgba(102, 175, 233, 0.6);
}

/* Styles for the option elements */
select option {
    padding: 10px;
    background-color: #fff;
    color: #333;
    height: auto; /* Allows the height to adapt to the content */
    white-space: normal; /* Allows text to wrap to multiple lines if needed */
    overflow-wrap: break-word; /* Forces text to break inside words if necessary */
}

/*-------------------- fin Style pour select------------------------*/

